curl --request POST \
--url https://api.firecrawl.dev/v2/monitor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Blog monitor",
"schedule": {
"text": "every 30 minutes",
"timezone": "UTC"
},
"goal": "Notify me when a new blog post is published or the headline changes",
"notification": {
"email": {
"enabled": true,
"recipients": [
"alerts@example.com"
],
"includeDiffs": true
}
},
"targets": [
{
"type": "scrape",
"urls": [
"https://example.com/blog"
]
}
]
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targets": [
{
"type": "scrape",
"urls": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scrapeOptions": {
"formats": [
"markdown"
],
"onlyMainContent": true,
"onlyCleanContent": false,
"includeTags": [
"<string>"
],
"excludeTags": [
"<string>"
],
"maxAge": 172800000,
"minAge": 123,
"headers": {},
"waitFor": 0,
"mobile": false,
"skipTlsVerification": true,
"timeout": 60000,
"parsers": [
"pdf"
],
"actions": [
{
"type": "wait",
"milliseconds": 2
}
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"removeBase64Images": true,
"blockAds": true,
"proxy": "auto",
"storeInCache": true,
"lockdown": false,
"redactPII": false,
"profile": {
"name": "<string>",
"saveChanges": true
},
"threatProtection": {
"riskScoreThreshold": 75,
"blacklist": [
"<string>"
],
"whitelist": [
"<string>"
],
"blockedTlds": [
"<string>"
]
}
}
}
],
"webhook": {
"url": "<string>",
"headers": {},
"metadata": {},
"events": []
},
"notification": {
"email": {
"enabled": false,
"recipients": [
"jsmith@example.com"
],
"includeDiffs": false
}
},
"retentionDays": 123,
"estimatedCreditsPerMonth": 123,
"lastCheckSummary": {
"totalPages": 123,
"same": 123,
"changed": 123,
"new": 123,
"removed": 123,
"error": 123
},
"goal": "<string>",
"judgeEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Monitor Endpoints
Create Monitor
POST
/
monitor
curl --request POST \
--url https://api.firecrawl.dev/v2/monitor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Blog monitor",
"schedule": {
"text": "every 30 minutes",
"timezone": "UTC"
},
"goal": "Notify me when a new blog post is published or the headline changes",
"notification": {
"email": {
"enabled": true,
"recipients": [
"alerts@example.com"
],
"includeDiffs": true
}
},
"targets": [
{
"type": "scrape",
"urls": [
"https://example.com/blog"
]
}
]
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targets": [
{
"type": "scrape",
"urls": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scrapeOptions": {
"formats": [
"markdown"
],
"onlyMainContent": true,
"onlyCleanContent": false,
"includeTags": [
"<string>"
],
"excludeTags": [
"<string>"
],
"maxAge": 172800000,
"minAge": 123,
"headers": {},
"waitFor": 0,
"mobile": false,
"skipTlsVerification": true,
"timeout": 60000,
"parsers": [
"pdf"
],
"actions": [
{
"type": "wait",
"milliseconds": 2
}
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"removeBase64Images": true,
"blockAds": true,
"proxy": "auto",
"storeInCache": true,
"lockdown": false,
"redactPII": false,
"profile": {
"name": "<string>",
"saveChanges": true
},
"threatProtection": {
"riskScoreThreshold": 75,
"blacklist": [
"<string>"
],
"whitelist": [
"<string>"
],
"blockedTlds": [
"<string>"
]
}
}
}
],
"webhook": {
"url": "<string>",
"headers": {},
"metadata": {},
"events": []
},
"notification": {
"email": {
"enabled": false,
"recipients": [
"jsmith@example.com"
],
"includeDiffs": false
}
},
"retentionDays": 123,
"estimatedCreditsPerMonth": 123,
"lastCheckSummary": {
"totalPages": 123,
"same": 123,
"changed": 123,
"new": 123,
"removed": 123,
"error": 123
},
"goal": "<string>",
"judgeEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
256Schedule for monitor checks. Provide either cron or text.
Show child attributes
Show child attributes
Required array length:
1 - 50 elements- Scrape target
- Crawl target
- Search target
Show child attributes
Show child attributes
Webhook destination for monitor page and check completion events.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
1 <= x <= 365Plain-language goal used to judge whether changed pages are meaningful. If provided and judgeEnabled is omitted, judging is enabled automatically. Required (non-empty) when any target is a search target, unless judgeEnabled is false.
Maximum string length:
2000Whether to judge changed pages against goal. Requires a non-empty goal to run.
⌘I

